All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::mac_addr_t Class Reference

`#include <mac_addr.hpp>`

## Public Member Functions

byte_vector_t | to_bytes (void) const
std::string | to_string (void) const

## Static Public Member Functions

static mac_addr_t | from_bytes (const byte_vector_t &bytes)
static mac_addr_t | from_string (const std::string &mac_addr_str)

## Detailed Description

Wrapper for an ethernet mac address. Provides conversion between string and binary formats.

## Member Function Documentation

static mac_addr_t uhd::mac_addr_t::from_bytes | ( | const byte_vector_t & | bytes | ) |

static

Create a mac address a byte array.

Parameters

  bytes | a vector of bytes

Returns
  a new mac address

static mac_addr_t uhd::mac_addr_t::from_string | ( | const std::string & | mac_addr_str | ) |

static

Create a mac address from a string.

Parameters

  mac_addr_str | the string with delimiters

Returns
  a new mac address

byte_vector_t uhd::mac_addr_t::to_bytes | ( | void |  | ) | const

Get the byte representation of the mac address.

Returns
  a vector of bytes

std::string uhd::mac_addr_t::to_string | ( | void |  | ) | const

Get the string representation of this mac address.

Returns
  a string with delimiters

The documentation for this class was generated from the following file:

- include/uhd/types/mac_addr.hpp